# UAE Passport Verification

The UAE Passport Verification API allows users to verify the validity and details of a passport issued in the United Arab Emirates.

### Submit Document

#### uae\_passport

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_passport`

**Post parameters description is given below**

| Post Parameter   | Type   | Is Mandatory | Description                                     |
| ---------------- | ------ | -----------: | ----------------------------------------------- |
| passport\_number | String |          Yes | Passport number                                 |
| expire\_date     | String |          Yes | Expiry date of passport                         |
| nationality      | String |          Yes | <p>Nationality of the passport<br>Ex: India</p> |
| type             | String |          Yes | <p>Type of passport<br>Ex: visa/residency</p>   |

**Sample Post Parameters**

```json
{
  "passport_number": "11670405",
  "expire_date": "2029-06-12",
  "nationality": "Yeman",
  "type": "visa"
}
```

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "5ee9ef69-2354-43a6-aea2-8bc45768ad90",
  "status": "completed",
  "result": {
    "passportNumber": "11670405",
    "passportExpiryDate": "2029-06-12",
    "nationality": "yemen",
    "fileStatus": "ACTIVE",
    "unifiedNumber": 45531509,
    "fileNumber": "101/2011/3/55636",
    "OldFilesData": [
      {
        "fileNumber": "2012011470001323",
        "fileType": "visa",
        "fileIssuanceDate": "11/02/2011",
        "fileExpiryDate": "26/02/2011"
      },
      {
        "fileNumber": "2012005310023254",
        "fileType": "visa",
        "fileIssuanceDate": "15/08/2005",
        "fileExpiryDate": "13/10/2005"
      }
    ],
    "fileIssuanceDate": "2023-08-01",
    "fileExpiryDate": "2033-07-31",
    "lastDateOfLeavingCountry": ""
  },
  "requested_at": "2026-01-27T16:52:12.788Z",
  "completed_at": "2026-01-27T16:52:20.159Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
  "status": "in_progress",
  "requested_at": "2026-01-27T11:44:58.057Z"
}
```

**400: Validation Error Response**

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Passport Number should not be empty",
    "field": "passport_number",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Nationality should not be empty",
    "field": "nationality",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Expire date should not be empty",
    "field": "expire_date",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid Expire Date format. Use YYYY-MM-DD.",
    "field": "expire_date",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Type should not be empty",
    "field": "type",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid type Ex: residency or visa",
    "field": "type",
    "code": "BAD_REQUEST"
  }
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "109fc2e2-f2c0-4106-a6fb-45872edeaea1",
  "status": "failed",
  "error": {
    "message": "Data not found for the given input",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T15:57:34.666Z",
  "completed_at": "2026-01-27T15:57:42.639Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_passport`

**Query parameters description is given below**

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | -----------: | --------------------- |
| reference\_id   | String |          Yes | Document reference id |

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "5ee9ef69-2354-43a6-aea2-8bc45768ad90",
  "status": "completed",
  "result": {
    "passportNumber": "11670405",
    "passportExpiryDate": "2029-06-12",
    "nationality": "yemen",
    "fileStatus": "ACTIVE",
    "unifiedNumber": 45531509,
    "fileNumber": "101/2011/3/55636",
    "OldFilesData": [
      {
        "fileNumber": "2012011470001323",
        "fileType": "visa",
        "fileIssuanceDate": "11/02/2011",
        "fileExpiryDate": "26/02/2011"
      },
      {
        "fileNumber": "2012005310023254",
        "fileType": "visa",
        "fileIssuanceDate": "15/08/2005",
        "fileExpiryDate": "13/10/2005"
      }
    ],
    "fileIssuanceDate": "2023-08-01",
    "fileExpiryDate": "2033-07-31",
    "lastDateOfLeavingCountry": ""
  },
  "requested_at": "2026-01-27T16:52:12.788Z",
  "completed_at": "2026-01-27T16:52:20.159Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
  "status": "in_progress",
  "requested_at": "2026-01-27T11:44:58.057Z"
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "109fc2e2-f2c0-4106-a6fb-45872edeaea1",
  "status": "failed",
  "error": {
    "message": "Data not found for the given input",
    "code": "ERROR"
  },
  "requested_at": "2026-01-27T15:57:34.666Z",
  "completed_at": "2026-01-27T15:57:42.639Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/uae-passport-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
